import newRequest from '@/utils/newRequest';

// 申请售后查询
export function afterSalesQuery(params) {
    return newRequest({
        url: '/afterSales/afterSales/query',
        method: 'get',
        params
    })
}

// 换货信息查询
export function afterSalesChangeQuery(params) {
    return newRequest({
        url: '/afterSales/change/query',
        method: 'get',
        params
    })
}

// 内部便签查询
export function afterSalesLabelQuery(params) {
    return newRequest({
        url: '/afterSales/label/query',
        method: 'get',
        params
    })
}

// 日志查询
export function afterSalesLogQuery(params) {
    return newRequest({
        url: '/afterSales/log/query',
        method: 'get',
        params
    })
}

// 退货信息查询
export function afterSalesRefundQuery(params) {
    return newRequest({
        url: '/afterSales/refund/query',
        method: 'get',
        params
    })
}

// 签收回寄包裹详情
export function afterSalesOrderDetail(params) {
    return newRequest({
        url: '/afterSales/order/detail',
        method: 'get',
        params
    })
}

// 财务复核
export function afterSalesConfirmFinance(data) {
    return newRequest({
        url: '/afterSales/confirm/finance',
        method: 'post',
        data
    })
}

// 客服主管复核
export function afterSalesConfirmCustomer(data) {
    return newRequest({
        url: '/afterSales/confirm/customer',
        method: 'post',
        data
    })
}

// 确认退款/批量确认退款
export function afterSalesConfirmRefund(data) {
    return newRequest({
        url: '/afterSales/confirm/refund',
        method: 'post',
        data
    })
}

// 确认回传发货/批量确认回传发货
export function afterSalesConfirmSend(data) {
    return newRequest({
        url: '/afterSales/confirm/send',
        method: 'post',
        data
    })
}

// 批量作废
export function afterSalesConfirmCancel(data) {
    return newRequest({
        url: '/afterSales/batch/cancel',
        method: 'post',
        data
    })
}

// 签收回寄包裹详情
export function orderQuerySelect(params) {
    return newRequest({
        url: '/afterSales/order/querySelect',
        method: 'get',
        params
    })
}

export function orderQuery(params) {
    return newRequest({
        url: '/afterSales/order/query',
        method: 'get',
        params
    })
}

export function orderAdd(data) {
    return newRequest({
        url: '/afterSales/order/add',
        method: 'POST',
        data
    })
}

// 内部便签新增
export function afterSalesLabelAdd(data) {
    return newRequest({
        url: '/afterSales/label/add',
        method: 'post',
        data
    })
}

// 内部便签编辑
export function afterSalesLabelUpdate(data) {
    return newRequest({
        url: '/afterSales/label/update',
        method: 'post',
        data
    })
}

// 确认换货提交
export function afterSalesConfirmChange(data) {
    return newRequest({
        url: '/afterSales/confirm/change',
        method: 'post',
        data
    })
}

// 确认换货页面信息查询
export function afterSalesConfirmChangeQuery(params) {
    return newRequest({
        url: '/afterSales/confirm/change/query',
        method: 'get',
        params
    })
}

export function orderQueryPage(data) {
    return newRequest({
        url: '/afterSales/order/queryPage',
        method: 'post',
        data
    })
}

export function batchTage(data) {
    return newRequest({
        url: '/afterSales/batch/tage',
        method: 'post',
        data
    })
}

export function orderQueryCount(data) {
    return newRequest({
        url: '/afterSales/order/queryCount',
        method: 'post',
        data
    })
}

export function queryOrderInfo(params) {
    return newRequest({
        url: '/afterSales/query/order/info',
        method: 'get',
        params
    })
}

export function afterSalesOrderSign(data) {
    return newRequest({
        url: '/afterSales/order/sign',
        method: 'post',
        data
    })
}

export function afterSalesQueryOrderInfo(params) {
    return newRequest({
        url: '/afterSales/query/order/info',
        method: 'get',
        params
    })
}
